> ## Documentation Index
> Fetch the complete documentation index at: https://synthlabs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List managed job trials

> Inspect the immutable child trials admitted for a managed job.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/users/{user_id}/harbor/jobs/{job_id}/trials
openapi: 3.1.0
info:
  title: Synth API Reference
  version: 2026-08-23.alpha
  description: HTTP API for your account, tasks, datasets, agent runs and usage.
servers:
  - url: https://sprites-gateway.api.synthlabs.ai
    description: Synth API
security: []
tags:
  - name: Identity
    description: Manage customer tokens without exposing internal service credentials.
  - name: Registry
    description: >-
      Create, discover, set visibility, version, execute, and inspect results
      for Harbor-compatible tasks and datasets.
  - name: Managed execution
    description: Validate, run, observe, and retrieve Harbor-compatible managed work.
  - name: Usage
    description: Inspect authoritative current rolling quota.
paths:
  /api/v1/users/{user_id}/harbor/jobs/{job_id}/trials:
    get:
      tags:
        - Managed execution
      summary: List managed job trials
      description: Inspect the immutable child trials admitted for a managed job.
      operationId: listManagedJobTrials
      parameters:
        - in: path
          name: user_id
          required: true
          schema:
            format: uuid
            title: User Id
            type: string
        - in: path
          name: job_id
          required: true
          schema:
            format: uuid
            title: Job Id
            type: string
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          schema:
            default: 0
            minimum: 0
            title: Offset
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HarborJobTrialsPage'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - UserBearer: []
components:
  schemas:
    HarborJobTrialsPage:
      description: Stable ordered page over immutable Harbor job membership.
      properties:
        items:
          items:
            $ref: '#/components/schemas/HarborJobTrialSummary'
          title: Items
          type: array
        limit:
          title: Limit
          type: integer
        offset:
          title: Offset
          type: integer
        total:
          title: Total
          type: integer
      required:
        - items
        - total
        - limit
        - offset
      title: HarborJobTrialsPage
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    HarborJobTrialSummary:
      description: One immutable Harbor job member projected from its executable run.
      properties:
        attempt_number:
          title: Attempt Number
          type: integer
        id:
          format: uuid
          title: Id
          type: string
        ordinal:
          title: Ordinal
          type: integer
        state:
          title: State
          type: string
        task_id:
          title: Task Id
          type: string
      required:
        - id
        - ordinal
        - task_id
        - attempt_number
        - state
      title: HarborJobTrialSummary
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    UserBearer:
      description: Synth customer access token for the current user and organization.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.